Get an employee event
get
/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEvents/{EventNumber}
Request
Path Parameters
-
EventNumber(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : communicateUIEmployeeEvents-item-response
Type:
Show Source
object-
AnonymousFeedbackFlag: boolean
Read Only:
trueMaximum Length:255Indicates whether anonymous feedback is enabled for the employee event. Valid values are Y and N. Default is N. -
attachments: array
Employee Event Attachments
Title:
Employee Event AttachmentsThe attachments resource fetches attachments for employee events. -
BannerImageURL: string
Read Only:
trueMaximum Length:255Image URL for the event banner. -
CategoryNames: string
Read Only:
trueMaximum Length:255Categories of the event. -
City: string
Title:
CityRead Only:trueMaximum Length:255City of an in-person event. -
CollectFeedbackFlag: boolean
Read Only:
trueMaximum Length:255Indicates whether to collect feedback for the employee event. Valid values are Y and N. Default is N. -
Country: string
Title:
CountryRead Only:trueMaximum Length:255Country of an in-person event. -
CreationDate: string
(date-time)
Read Only:
trueCreation date of the event. -
Description: string
(byte)
Title:
DescriptionRead Only:trueDescription of the event. -
EmployeeEventId: integer
Read Only:
trueUnique identifier for the event. -
EndDate: string
(date-time)
Title:
End DateRead Only:trueEnd date of the event. -
EventNumber: string
Read Only:
trueEvent number of the event. -
EventOrigin: string
Read Only:
trueMaximum Length:255Indicates the origin of the employee event. This value helps identify where the event was initiated. -
EventOriginId: integer
Read Only:
trueUnique identifier for the origin of the employee event. -
EventOriginName: string
Read Only:
trueMaximum Length:255Name of the event origin for the employee event. -
EventStatusCode: string
Read Only:
trueMaximum Length:255Event status code of the event. -
FeedbackQstnrVersionNum: string
Read Only:
trueMaximum Length:255Version number of the feedback questionnaire associated with the employee event. -
FeedbackQuestionnaireId: string
Read Only:
trueMaximum Length:255Unique identifier for the feedback questionnaire associated with the employee event. -
Format: string
Title:
FormatRead Only:trueMaximum Length:255Format name of the event. -
FormatCode: string
Read Only:
trueMaximum Length:255Format code of the event. -
LastRegisterDate: string
(date-time)
Read Only:
trueLast registration date for the event. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocationDetails: string
(byte)
Title:
LocationRead Only:trueLocation details for the event. -
MaximumCapacity: integer
(int64)
Title:
Maximum CapacityRead Only:trueMaximum allowed number of registrants in the event -
MeetingDetails: string
(byte)
Read Only:
trueMeeting details of a virtual event. -
Name: string
Title:
NameRead Only:trueMaximum Length:255Name of the event. -
OwnerName: string
Title:
Owner NameRead Only:trueMaximum Length:255Owner of the event. -
owners: array
Employee Event Owners
Title:
Employee Event OwnersThe child resource that provides details of the owners of the employee event. -
QstnrVersionNumber: string
Read Only:
trueMaximum Length:255Questionnaire version number associated with the employee event. -
QuestionnaireId: string
Read Only:
trueMaximum Length:255Unique identifier for the questionnaire associated with the employee event. -
RegisteredCount: integer
(int64)
Title:
Registered CountRead Only:trueNumber of registrants in the event. -
RespondentFeedbackSubmittedFlag: boolean
Read Only:
trueMaximum Length:255Indicates whether the respondent has submitted feedback. Valid values are Y and N. Default is N. -
RespondentStatusCode: string
Read Only:
trueMaximum Length:255Respondent status code of the event. -
RespondentStatusDescription: string
Read Only:
trueMaximum Length:255Respondent status description of the event. -
StartDate: string
(date-time)
Title:
Start DateRead Only:trueStart date of the event. -
State: string
Title:
StateRead Only:trueMaximum Length:255State in which the in-person event takes place. -
Status: string
Title:
Event StatusRead Only:trueMaximum Length:255Status of the event. -
TimezoneCode: string
Read Only:
trueMaximum Length:255Time zone code of the event. -
TimezoneDescription: string
Read Only:
trueMaximum Length:255Time zone description of the event. -
Visibility: string
Read Only:
trueMaximum Length:255Display value indicating if the event is visible to all employees (public) or only invited employees (private). -
VisibilityCode: string
Read Only:
trueMaximum Length:255Code indicating if the event is visible to all employees (public) or only invited employees (private). -
WebConfLink: string
Title:
Meeting Web LinkRead Only:trueMaximum Length:255Web conference link of the virtual event.
Nested Schema : Employee Event Attachments
Type:
arrayTitle:
Employee Event AttachmentsThe attachments resource fetches attachments for employee events.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Employee Event Owners
Type:
arrayTitle:
Employee Event OwnersThe child resource that provides details of the owners of the employee event.
Show Source
Nested Schema : communicateUIEmployeeEvents-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdUnique identifier of the attachment. System generated primary key. -
CategoryName: string
Title:
CategoryMaximum Length:30Category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255User who created the attachment. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueUser name of the user who created the attachment. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the attachment record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEValue that indicates data type code of attachment. -
Description: string
Title:
DescriptionMaximum Length:255Description of the attachment. -
DmDocumentId: string
Maximum Length:
255Unique identifier of the attachment. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000Folder path of the attachment. -
DmVersionNumber: string
Maximum Length:
255Version number of the attachment. -
DocumentPreviewURL: string
Read Only:
trueMaximum Length:255Attachment document preview URL. -
DownloadInfo: string
Title:
DownloadInfoJSON object, represented as a string, that contains information required to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeError status code for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageError status message for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateExpiration date and time of the attachment content. -
FileContents: string
(byte)
Title:
File ContentsContents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048File name of the attachment. -
FileUrl: string
Title:
File UrlURL of the attachment. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueBase64-encoded image of the file, displayed in PNG format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueDate and time when the attachment was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255User who last updated the attachment. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueUser name of the user who last updated the attachment. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionName of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleTitle of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeFile content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeFile length of the attachment. -
UploadedFileName: string
Title:
Uploaded File NameFile name of the attachment. -
UploadedText: string
Title:
Uploaded TextText of the attachment. -
Uri: string
Title:
UriMaximum Length:4000URI of the attachment. -
Url: string
Title:
UrlMaximum Length:4000URL of the attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255User name associated with the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : communicateUIEmployeeEvents-owners-item-response
Type:
Show Source
object-
DisplayName: string
Title:
NameRead Only:trueMaximum Length:240Display name for the event owner. -
EmployeeEventId: integer
(int64)
Unique identifier for the employee event.
-
EmployeeEventOwnerId: integer
(int64)
Unique identifier for the event owner.
-
FirstName: string
Title:
First NameRead Only:trueMaximum Length:150First name of the event owner. -
FullName: string
Title:
Full NameRead Only:trueMaximum Length:2000Full name of the event owner. -
LastName: string
Title:
Last NameRead Only:trueMaximum Length:150Last name of the event owner. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OwnerPersonId: integer
(int64)
Person identifier for the event owner.
-
OwnerTypeCode: string
Maximum Length:
30Indicates whether a person is an event owner or co-owner.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- attachments
-
Operation: /hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEvents/{EventNumber}/child/attachmentsParameters:
- EventNumber:
$request.path.EventNumber
The attachments resource fetches attachments for employee events. - EventNumber:
- owners
-
Parameters:
- EventNumber:
$request.path.EventNumber
The child resource that provides details of the owners of the employee event. - EventNumber: